clang-tools 6.0.0

Namespaces | Enumerations
StrToNumCheck.cpp File Reference
`#include "StrToNumCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Analysis/Analyses/FormatString.h"`
`#include "llvm/ADT/StringSwitch.h"`
`#include <cassert>`
Include dependency graph for StrToNumCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::cert

## Enumerations
enum | clang::tidy::cert::@80::ConversionKind { clang::tidy::cert::@80::ConversionKind::None, clang::tidy::cert::@80::ConversionKind::ToInt, clang::tidy::cert::@80::ConversionKind::ToUInt, clang::tidy::cert::@80::ConversionKind::ToLongInt, clang::tidy::cert::@80::ConversionKind::ToLongUInt, clang::tidy::cert::@80::ConversionKind::ToIntMax, clang::tidy::cert::@80::ConversionKind::ToUIntMax, clang::tidy::cert::@80::ConversionKind::ToFloat, clang::tidy::cert::@80::ConversionKind::ToDouble, clang::tidy::cert::@80::ConversionKind::ToLongDouble }

## Enumeration Type Documentation

## ◆ ConversionKind

enum clang::tidy::cert::@80::ConversionKind
| strong

Definition at line 39 of file StrToNumCheck.cpp.